# TDF_Attribute.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TDF_Attribute.hxx>`
`#include <TDF_LabelNodePtr.hxx>`
`#include <Standard_Integer.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_TDF_AttributeDelta.hxx>`
`#include <Handle_TDF_DeltaOnAddition.hxx>`
`#include <Handle_TDF_DeltaOnForget.hxx>`
`#include <Handle_TDF_DeltaOnResume.hxx>`
`#include <Handle_TDF_DeltaOnModification.hxx>`
`#include <Handle_TDF_DeltaOnRemoval.hxx>`
`#include <Handle_TDF_RelocationTable.hxx>`
`#include <Handle_TDF_DataSet.hxx>`
`#include <Standard_OStream.hxx>`
`#include <TDF_Attribute.lxx>`